<?php declare(strict_types=1);

namespace App\Form;

use Symfony\Component\Form\{
	AbstractType, FormBuilderInterface
};
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\OptionsResolver\Exception\AccessException;

use App\Entity\CameraType;

class CameraTypeType extends AbstractType
{
	/**
	 * {@inheritdoc}
	 */
	public function buildForm(FormBuilderInterface $builder, array $options): void
	{
		$builder->add('type')
			->add('description');
	}

	/**
	 * {@inheritdoc}
	 * @throws AccessException
	 */
	public function configureOptions(OptionsResolver $resolver): void
	{
		$resolver->setDefaults(array(
			'data_class' => CameraType::class
		));
	}

	/**
	 * {@inheritdoc}
	 */
	public function getBlockPrefix(): string
	{
		return 'camerabundle_cameratype';
	}
}
